<?php

/**
 * @license LGPLv3, https://opensource.org/licenses/LGPL-3.0
 * @copyright Metaways Infosystems GmbH, 2011
 * @copyright Aimeos (aimeos.org), 2015-2022
 * @package Base
 * @subpackage Common
 */


namespace Aimeos\Base\Criteria\Expression\Compare;


/**
 * Interface for comparing objects.
 *
 * @package Base
 * @subpackage Common
 */
interface Iface extends \Aimeos\Base\Criteria\Expression\Iface
{
	/**
	 * Returns the left side of the compare expression.
	 *
	 * @return string Name of variable or column that should be compared.
	 */
	public function getName() : string;


	/**
	 * Returns the right side of the compare expression.
	 *
	 * @return mixed Value that the variable or column should be compared to.
	 */
	public function getValue();
}
