<?php

/**
 * @license LGPLv3, https://opensource.org/licenses/LGPL-3.0
 * @copyright Aimeos (aimeos.org), 2015-2022
 */

return [
	'text/type' => [
		'attribute/name' => ['text.type.domain' => 'attribute', 'text.type.code' => 'name', 'text.type.label' => 'Name'],
		'attribute/short' => ['text.type.domain' => 'attribute', 'text.type.code' => 'short', 'text.type.label' => 'Short description'],
		'attribute/long' => ['text.type.domain' => 'attribute', 'text.type.code' => 'long', 'text.type.label' => 'Long description'],
		'attribute/url' => ['text.type.domain' => 'attribute', 'text.type.code' => 'url', 'text.type.label' => 'URL segment'],
		'catalog/name' => ['text.type.domain' => 'catalog', 'text.type.code' => 'name', 'text.type.label' => 'Name'],
		'catalog/short' => ['text.type.domain' => 'catalog', 'text.type.code' => 'short', 'text.type.label' => 'Short description'],
		'catalog/long' => ['text.type.domain' => 'catalog', 'text.type.code' => 'long', 'text.type.label' => 'Long description'],
		'catalog/url' => ['text.type.domain' => 'catalog', 'text.type.code' => 'url', 'text.type.label' => 'URL segment'],
		'catalog/metatitle' => ['text.type.domain' => 'catalog', 'text.type.code' => 'metatitle', 'text.type.label' => 'Meta title'],
		'catalog/meta-keyword' => ['text.type.domain' => 'catalog', 'text.type.code' => 'meta-keyword', 'text.type.label' => 'Meta keywords'],
		'catalog/meta-description' => ['text.type.domain' => 'catalog', 'text.type.code' => 'meta-description', 'text.type.label' => 'Meta description'],
		'catalog/deliveryinformation' => ['text.type.domain' => 'catalog', 'text.type.code' => 'deliveryinformation', 'text.type.label' => 'Delivery information'],
		'catalog/paymentinformation' => ['text.type.domain' => 'catalog', 'text.type.code' => 'paymentinformation', 'text.type.label' => 'Payment information'],
		'catalog/quote' => ['text.type.domain' => 'catalog', 'text.type.code' => 'quote', 'text.type.label' => 'Quote'],
		'text/name' => ['text.type.domain' => 'text', 'text.type.code' => 'name', 'text.type.label' => 'Name'],
		'media/name' => ['text.type.domain' => 'media', 'text.type.code' => 'name', 'text.type.label' => 'Name'],
		'media/short' => ['text.type.domain' => 'media', 'text.type.code' => 'short', 'text.type.label' => 'Short description'],
		'media/long' => ['text.type.domain' => 'media', 'text.type.code' => 'long', 'text.type.label' => 'Long description'],
		'media/img-description' => ['text.type.domain' => 'media', 'text.type.code' => 'img-description', 'text.type.label' => 'Image description', 'status' => 0],
		'service/name' => ['text.type.domain' => 'service', 'text.type.code' => 'name', 'text.type.label' => 'Name'],
		'service/short' => ['text.type.domain' => 'service', 'text.type.code' => 'short', 'text.type.label' => 'Short description'],
		'service/long' => ['text.type.domain' => 'service', 'text.type.code' => 'long', 'text.type.label' => 'Long description'],
		'product/name' => ['text.type.domain' => 'product', 'text.type.code' => 'name', 'text.type.label' => 'Name'],
		'product/short' => ['text.type.domain' => 'product', 'text.type.code' => 'short', 'text.type.label' => 'Short description'],
		'product/long' => ['text.type.domain' => 'product', 'text.type.code' => 'long', 'text.type.label' => 'Long description'],
		'product/url' => ['text.type.domain' => 'product', 'text.type.code' => 'url', 'text.type.label' => 'URL segment'],
		'product/basket' => ['text.type.domain' => 'product', 'text.type.code' => 'basket', 'text.type.label' => 'basket description'],
		'product/metatitle' => ['text.type.domain' => 'product', 'text.type.code' => 'metatitle', 'text.type.label' => 'Meta title'],
		'product/meta-keyword' => ['text.type.domain' => 'product', 'text.type.code' => 'meta-keyword', 'text.type.label' => 'Meta keywords'],
		'product/meta-description' => ['text.type.domain' => 'product', 'text.type.code' => 'meta-description', 'text.type.label' => 'Meta description'],
		'customer/information' => ['text.type.domain' => 'customer', 'text.type.code' => 'information', 'text.type.label' => 'Customer information'],
		'customer/notify' => ['text.type.domain' => 'customer', 'text.type.code' => 'notify', 'text.type.label' => 'Customer notify'],
		'customer/newsletter' => ['text.type.domain' => 'customer', 'text.type.code' => 'newsletter', 'text.type.label' => 'Customer newsletter'],
		'service/serviceinformation' => ['text.type.domain' => 'service', 'text.type.code' => 'serviceinformation', 'text.type.label' => 'Service information'],
		'supplier/description' => ['text.type.domain' => 'supplier', 'text.type.code' => 'description', 'text.type.label' => 'Supplier description'],
		'supplier/name' => ['text.type.domain' => 'supplier', 'text.type.code' => 'name', 'text.type.label' => 'Name'],
		'supplier/short' => ['text.type.domain' => 'supplier', 'text.type.code' => 'short', 'text.type.label' => 'Short description'],
		'supplier/long' => ['text.type.domain' => 'supplier', 'text.type.code' => 'long', 'text.type.label' => 'Long description'],
	],

	'text/lists/type' => [
		'product/default' => ['text.lists.type.domain' => 'product', 'text.lists.type.code' => 'default', 'text.lists.type.label' => 'Standard'],
		'attribute/default' => ['text.lists.type.domain' => 'attribute', 'text.lists.type.code' => 'default', 'text.lists.type.label' => 'Standard'],
		'catalog/default' => ['text.lists.type.domain' => 'catalog', 'text.lists.type.code' => 'default', 'text.lists.type.label' => 'Standard'],
		'media/default' => ['text.lists.type.domain' => 'media', 'text.lists.type.code' => 'default', 'text.lists.type.label' => 'Standard'],
		'price/default' => ['text.lists.type.domain' => 'price', 'text.lists.type.code' => 'default', 'text.lists.type.label' => 'Standard'],
		'service/default' => ['text.lists.type.domain' => 'service', 'text.lists.type.code' => 'default', 'text.lists.type.label' => 'Standard'],
		'text/default' => ['text.lists.type.domain' => 'text', 'text.lists.type.code' => 'default', 'text.lists.type.label' => 'Standard'],
	],
];
